## texlive-extra 2017.20180305

=== Makefile ===
# $Id: Makefile 32 2016-05-14 15:28:35Z karl $
# Makefile for Eplain.  This file is public domain.

version     = 3.8
dist_name   = eplain-$(version)

# Categories of the files in the source tree.
sources     = arrow.tex btxmac.tex ifpdf.sty path.sty texnames.sty xeplain.tex
support     = Makefile PROJECTS util/mkdist-*
manuals     = $(patsubst %,doc/%,Makefile *.texi texinfo.tex)
tests       = $(patsubst %,test/%,*.tex *.bib *.map *.mst *.eps)
utils       = util/idxuniq util/trimsee
demos       = demo/Makefile demo/*.tex
jpeg_demos  = doc/xhyper.jpg doc/lscommnt.jpg

default: eplain.tex
all: default doc

eplain.tex e: util/mkdist-merge $(sources)
	version=$(version) util/mkdist-merge


alldoc:
	cd doc && $(MAKE)

doc:
	cd doc && $(MAKE) doc

dvi:
	cd doc && $(MAKE) dvi

ps:
	cd doc && $(MAKE) ps

pdf doc/eplain.pdf doc/eplain.man1.pdf:
	cd doc && $(MAKE) pdf

html doc/eplain.html $(jpeg_demos):
	cd doc && $(MAKE) html

info doc/eplain.info:
	cd doc && $(MAKE) info

INSTALL:
	cd doc && $(MAKE) ../INSTALL

# 
# we need to make a variety of things:
# - eplain-VER.tds.zip (for easy installation).
# - eplain-VER.upload.zip (combination of TDS and directory for main tree)
# - eplain-VER.tar.gz (same as .tds.zip but in .tar.gz, for tug.org).
#
dist_tds_zip = $(dist_name).tds.zip
dist_upload_zip = $(dist_name).upload.zip
dist_tgz = $(dist_name).tar.gz
#
dist: $(dist_upload_zip) $(dist_tgz)

# The tgz is just the tds.zip in a different format, with top-level dir.
$(dist_tgz): $(dist_tds_zip)
	rm -rf $(dist_name) $@
	mkdir $(dist_name)
	unzip -q -d $(dist_name) $^
	tar czf $@ $(dist_name) # includes dir
	rm -rf $(dist_name)
	@ls -l $@

# The upload zip is the tds.zip (as a file) and an unpacked tree for browsing.
dist_upload_dir = $(dist_name)-upload
browse_dir = $(dist_upload_dir)/eplain
$(dist_upload_zip): $(dist_tds_zip)
	rm -rf $(dist_upload_dir) $@
	mkdir $(dist_upload_dir)
# unpack .tds.zip in destdir/eplain:
	unzip -q -d $(browse_dir) $^
# for browsing, get rid of eplain level:
	cd $(browse_dir) && for dir in *; do \
	  mv $$dir/eplain/* $$dir; \
	  rmdir $$dir/eplain; done
# and make top-level README symlink.
	ln -s doc/README $(browse_dir)/
# now also copy .tds.zip into dest dir, without version number:
	cp $^ $(dist_upload_dir)/eplain.tds.zip
# make upload zip as combination, including top-level directory:
	cd $(dist_upload_dir) && zip -qr ../$@ *
	rm -rf $(dist_upload_dir)
	zipinfo -1 $@ >/tmp/zu
	@ls -l $@
	@echo

#  The .tds.zip is the main thing.  Its directories and files follow.
# The idea of zsource is that we bundle up the various files we reuse into
# a zip so that our slave copies are not found by searches.

tds_dir     = $(dist_name)-tds
#
dir_main    = $(tds_dir)/tex/eplain
dir_doc     = $(tds_dir)/doc/eplain
dir_source  = $(tds_dir)/source/eplain
dir_zsource = $(dir_source)/eplain-source-$(version)
#
# Files to go under the $(dir_*) directories.
files_main   = eplain.tex arrow.tex btxmac.tex eplain.ini
files_doc    = AUTHORS COPYING ChangeLog INSTALL NEWS README \
               doc/eplain.info doc/eplain.html doc/eplain.pdf doc/eplain.1 \
               doc/eplain.man1.pdf $(demos) $(jpeg_demos) $(utils)
files_source = xeplain.tex
files_zsource= $(sources) $(support) $(manuals) $(tests)
#
cp = cp --parents
#
$(dist_tds_zip): force
	rm -rf $(tds_dir) $@
	install -d $(dir_main) $(dir_doc) $(dir_source) $(dir_zsource)
	@printf "\
%% This eplain.aux file is installed for the sake of initex.  Running\n\
%% initex without this file would produce an eplain.fmt which never\n\
%% issues warning messages about undefined labels.\n" >$(dir_main)/eplain.aux
	#
	$(cp) $(files_main)    $(dir_main)
	$(cp) $(files_doc)     $(dir_doc)
	$(cp) $(files_source)  $(dir_source)
	$(cp) $(files_zsource) $(dir_zsource)
	chmod -R a+rwX $(tds_dir)
	#
	mv $(dir_doc)/doc/* $(dir_doc)/  # skip extra level
	rmdir $(dir_doc)/doc             # which leaves empty dir
	#
	# make zsource zip:
	cd `dirname $(dir_zsource)` \
	  && zip -qr `basename $(dir_zsource)`.zip `basename $(dir_zsource)`
	rm -rf $(dir_zsource)
	#
	# make tds zip:
	cd $(tds_dir) && zip -qr ../$(dist_tds_zip) *
	rm -rf $(tds_dir)
	zipinfo -1 $@ >/tmp/zt
	@ls -l $@
	@echo

force:

define clean-cmds
rm -rf $(dist_name) $(tds_dir)
endef

define distclean-cmds
$(clean-cmds)
rm -f $(dist_name).tar.gz $(dist_upload_zip) $(dist_tgz) $(dist_tds_zip)
rm -f eplain.fmt eplain.log
endef

define maintainer-clean-cmds
$(distclean-cmds)
rm -f eplain.tex
endef

clean mostlyclean:
	$(clean-cmds)
	cd doc && $(MAKE) $@
	cd demo && $(MAKE) $@

distclean:
	$(distclean-cmds)
	cd doc && $(MAKE) distclean
	cd demo && $(MAKE) distclean

maintainer-clean:
	$(maintainer-clean-cmds)
	cd doc && $(MAKE) maintainer-clean
	cd demo && $(MAKE) maintainer-clean

.PHONY: default alldoc doc dvi ps pdf html info dist
.PHONY: $(dist_name) $(dir_main) $(dir_doc) $(dir_source) $(dir_zsource)
.PHONY: clean mostlyclean distclean maintainer-clean
.DELETE_ON_ERROR:

try: eplain.tex
	eplain '\nonstopmode\input ng'

=== texmf-dist/doc/fonts/yhmath/Makefile ===
TFMFILES=yhcmex10.tfm yrcmex10.tfm
VFFILES=yhcmex10.vf
MFFILES=yhbigacc.mf yhbigdel.mf yhmathex.mf yrcmex10.mf
VPLFILES=yhcmex10.vpl
TEXFILES=OMXyhex.fd yhmath.sty
MAPFILES=yhmath.map
DOCFILES=yhmath.pdf
DRVFILES=yhmath.drv

PFBFILES=yhcmex.pfb
SOURCEFILES=yhmath.dtx yhmath.ins

GENFILES=$(TFMFILES) $(VFFILES) $(MFFILES) $(VPLFILES) $(TEXFILES) $(MAPFILES) $(DOCFILES) $(DRVFILES)

DESTDIR ?= /usr/local/share/texmf
CLEANRM ?= :

all: $(GENFILES)

install: $(TFMFILES) $(VFFILES) $(MFFILES) $(TEXFILES) $(MAPFILES) $(DOCFILES) $(PFBFILES) $(SOURCEFILES)
	mkdir -p $(DESTDIR)/fonts/tfm/public/yhmath
	$(CLEANRM) $(DESTDIR)/fonts/tfm/public/yhmath/*
	cp $(TFMFILES) $(DESTDIR)/fonts/tfm/public/yhmath
	#
	mkdir -p $(DESTDIR)/fonts/vf/public/yhmath
	$(CLEANRM) $(DESTDIR)/fonts/vf/public/yhmath/*
	cp $(VFFILES) $(DESTDIR)/fonts/vf/public/yhmath
	#
	mkdir -p $(DESTDIR)/fonts/source/public/yhmath
	$(CLEANRM) $(DESTDIR)/fonts/source/public/yhmath/*
	cp $(MFFILES) $(DESTDIR)/fonts/source/public/yhmath
	#
	mkdir -p $(DESTDIR)/fonts/type1/public/yhmath
	$(CLEANRM) $(DESTDIR)/fonts/type1/public/yhmath/*
	cp $(PFBFILES) $(DESTDIR)/fonts/type1/public/yhmath
	#
	mkdir -p $(DESTDIR)/fonts/map/dvips/yhmath
	$(CLEANRM) $(DESTDIR)/fonts/map/dvips/yhmath/*
	cp $(MAPFILES) $(DESTDIR)/fonts/map/dvips/yhmath
	#
	mkdir -p $(DESTDIR)/tex/latex/yhmath
	$(CLEANRM) $(DESTDIR)/tex/latex/yhmath/*
	cp $(TEXFILES) $(DESTDIR)/tex/latex/yhmath
	#
	mkdir -p $(DESTDIR)/doc/latex/yhmath
	$(CLEANRM) $(DESTDIR)/doc/latex/yhmath/*
	cp $(DOCFILES) $(DESTDIR)/doc/latex/yhmath
	#
	mkdir -p $(DESTDIR)/source/latex/yhmath
	$(CLEANRM) $(DESTDIR)/source/latex/yhmath/*
	cp $(SOURCEFILES) $(DESTDIR)/source/latex/yhmath
	#
	mktexlsr $(DESTDIR)



$(MFFILES) $(VPLFILES) $(TEXFILES) $(MAPFILES) $(DRVFILES): $(SOURCEFILES)
	latex yhmath.ins

yhmath.pdf: yhmath.drv
	pdflatex yhmath.drv
	pdflatex yhmath.drv

yrcmex10.tfm: $(MFFILES)
	mktextfm --destdir `pwd` yrcmex10
	rm -f yrcmex10.*pk

yhcmex10.tfm yhcmex10.vf: yhcmex10.vpl
	vptovf yhcmex10.vpl

ctanclean: clean
	-rm -f $(MAPFILES) $(MFFILES) $(TEXFILES)

clean:
	-rm -f $(VPLFILES) yrcmex10.*pk yhmath.log yhmath.aux yhmath.drv
	-rm -f yrcmex10.log
	-rm -f *~



distclean: clean
	-rm -f $(GENFILES)

=== texmf-dist/doc/generic/2up/Makefile ===

# `Makefile' for `multido.pdf', hv, 2007/03/17

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = 2up

MAIN = $(PACKAGE)-doc

TDS = ~/PSTricks/PSTricks-TDS

LATEX = latex

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(PACKAGE).pro $(MAIN).tex README Changes Makefile

all : doc clean 
doc: $(MAIN).pdf

$(MAIN).pdf : $(MAIN).ps
#	GS_OPTIONS=-dAutoRotatePages=/None 
	ps2pdf $<

$(MAIN).ps : $(MAIN).dvi
	dvips $<

$(MAIN).dvi : $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
#	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
#	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
#	makeindex -t $(basename $<).ilg -s pst-doc.ist -o $(basename $<).ind $(basename $<).idx
#	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
#	  $(basename $<).glo
#	bibtex $(basename $<)
#	$(LATEX) $<
#	$(LATEX) $<

clean : 
	$(RM) $(addprefix $(MAIN), .log .aux .glg .glo .gls .ilg .idx .ind .tmp .toc .out .blg .Roessler .bbl )
	$(RM) $(addprefix $(MAIN), .dvi .ps .xcp)
	$(RM) data3d.Roessler

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

tds:
	cp -u Changes     $(TDS)/doc/generic/$(PACKAGE)/
	cp -u README      $(TDS)/doc/generic/$(PACKAGE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/latex/$(PACKAGE)/
	cp -u $(PACKAGE).sty $(TDS)/tex/latex/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE).tex $(TDS)/tex/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro ~/Links/dvips-local/
#
	cp -u Changes     $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).tex $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).bib $(TDS)/source/$(PACKAGE)/
	cp -u Makefile    $(TDS)/source/$(PACKAGE)/


# EOF

=== texmf-dist/doc/generic/m-tx/Makefile ===
# Makefile for the M-Tx documentation

default:
	texlua buildmtxdoc.lua
halleluja:
	texlua buildmtxdoc.lua halleluja
kanons:
	texlua buildmtxdoc.lua kanons
PHONY: default hallelua kanons

support = Makefile make-dvi make-pdf make-target pdfcat \
  buildmtxdoc.lua buildzip.lua

sources = mtxdoc.ltx mtxdoc.sty mtxlatex.sty mozart0.mtx mozart.mtx\
 netfirst.mtx meter.mtx dertod.mtx volta.mtx title.mtx title1.mtx\
 psalm42.mtx netsoos1.mtb notes.tex lyrics.tex\
 netsoos2.mtb borup.mtx melisma1.mtb dwoman.mtb \
 melisma2.mtb melisma3.mtb melisma4.mtb melisma5.mtb melisma6.mtb \
 dwoman.mta melisma.mta netsoos.mta kroonhom.mtx loofnou.mtx \
 viva.mtx dona.mtx sanctus.mtx halleluja.ltx kanons.ltx chord.mtx \
 macro.mtx

nonsources = borup.tex chord.tex dertod.tex dwoman.tex macro.tex\
 melisma1.tex melisma2.tex melisma3.tex melisma4.tex melisma5.tex\
 melisma6.tex meter.tex mozart.tex mozart0.tex netfirst.tex\
 netsoos1.tex netsoos2.tex psalm42.tex title1.tex title.tex volta.tex\
 mtxdoc.aux mtxdoc.ind mtxdoc.toc mtxdoc.pdf halleluja.pdf kanons.pdf\
 dona.tex halleluja.aux halleluja.toc kanons.aux kroonhom.tex\
 loofnou.tex musixtex.log sanctus.tex viva.tex

zip: 
	texlua buildzip.lua $(sources) $(support) README

clean:
	- rm dwoman.mtx netsoos?.mtx melisma?.mtx *.pm?

bare: clean
	- rm $(nonsources)

commit: clean
	git add $(sources) $(support)

=== texmf-dist/doc/generic/poster-mac/Makefile ===

# `Makefile' for `pst-3dplot.pdf', hv, 2007/03/17

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = poster

MAIN = $(PACKAGE)-doc

TDS = ~/PSTricks/PSTricks-TDS

LATEX = latex

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(PACKAGE).pro $(MAIN).tex README Changes Makefile

all : doc clean 
doc: $(MAIN).pdf

$(MAIN).pdf : $(MAIN).ps
	GS_OPTIONS=-dAutoRotatePages=/None ps2pdf $<

$(MAIN).ps : $(MAIN).dvi
	dvips $<

$(MAIN).dvi : $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
#	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
#	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
#	makeindex -t $(basename $<).ilg -s pst-doc.ist -o $(basename $<).ind $(basename $<).idx
#	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
#	  $(basename $<).glo
#	bibtex $(basename $<)
	$(LATEX) poster1.tex && $(LATEX) poster1.tex && dvips poster1 && ps2pdf poster1.ps
	tex poster2.tex && dvips poster2 && ps2pdf poster2.ps

clean : 
	$(RM) $(addprefix $(MAIN), .log .aux .glg .glo .gls .ilg .idx .ind .tmp .toc .out .blg .Roessler .bbl )
	$(RM) $(addprefix $(MAIN), .dvi .ps .xcp)
	$(RM) poster?.tex poster?.dvi poster?.aux poster?.ps poster?.log

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

tds:
	cp -u Changes     $(TDS)/doc/generic/$(PACKAGE)/
	cp -u README      $(TDS)/doc/generic/$(PACKAGE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/latex/$(PACKAGE)/
	cp -u $(PACKAGE).sty $(TDS)/tex/latex/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE).tex $(TDS)/tex/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro ~/Links/dvips-local/
#
	cp -u Changes     $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).tex $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).bib $(TDS)/source/$(PACKAGE)/
	cp -u Makefile    $(TDS)/source/$(PACKAGE)/


# EOF

=== texmf-dist/doc/latex/acmart/Makefile ===
#
# Makefile for acmart package
#
# This file is in public domain
#
# $Id: Makefile,v 1.10 2016/04/14 21:55:57 boris Exp $
#

PACKAGE=acmart

SAMPLES = \
	sample-manuscript.tex \
	sample-acmsmall.tex \
	sample-acmlarge.tex \
	sample-acmtog.tex \
	sample-sigconf.tex \
	sample-sigconf-authordraft.tex \
	sample-sigplan.tex \
	sample-sigchi.tex \
	sample-sigchi-a.tex


PDF = $(PACKAGE).pdf ${SAMPLES:%.tex=%.pdf} acmguide.pdf

all:  ${PDF}


%.pdf:  %.dtx   $(PACKAGE).cls
	pdflatex $<
	- bibtex $*
	pdflatex $<
	- makeindex -s gind.ist -o $*.ind $*.idx
	- makeindex -s gglo.ist -o $*.gls $*.glo
	pdflatex $<
	while ( grep -q '^LaTeX Warning: Label(s) may have changed' $*.log) \
	do pdflatex $<; done


acmguide.pdf: $(PACKAGE).dtx $(PACKAGE).cls
	pdflatex -jobname acmguide $(PACKAGE).dtx
	- bibtex acmguide
	pdflatex -jobname acmguide $(PACKAGE).dtx
	while ( grep -q '^LaTeX Warning: Label(s) may have changed' acmguide.log) \
	do pdflatex -jobname acmguide $(PACKAGE).dtx; done

%.cls:   %.ins %.dtx
	pdflatex $<

%.pdf:  %.tex   $(PACKAGE).cls ACM-Reference-Format.bst
	pdflatex $<
	- bibtex $*
	pdflatex $<
	pdflatex $<
	while ( grep -q '^LaTeX Warning: Label(s) may have changed' $*.log) \
	do pdflatex $<; done

sample-manuscript.pdf \
sample-acmsmall.pdf \
sample-acmlarge.pdf \
sample-acmtog.pdf: samplebody-journals.tex

sample-sigconf.pdf \
sample-sigconf-authordraft.pdf \
sample-sigplan.pdf \
sample-sigchi.pdf: samplebody-conf.tex


.PRECIOUS:  $(PACKAGE).cfg $(PACKAGE).cls


clean:
	$(RM)  $(PACKAGE).cls *.log *.aux \
	*.cfg *.glo *.idx *.toc \
	*.ilg *.ind *.out *.lof \
	*.lot *.bbl *.blg *.gls *.cut *.hd \
	*.dvi *.ps *.thm *.tgz *.zip *.rpi

distclean: clean
	$(RM) $(PDF) *-converted-to.pdf

#
# Archive for the distribution. Includes typeset documentation
#
archive:  all clean
	COPYFILE_DISABLE=1 tar -C .. -czvf ../$(PACKAGE).tgz --exclude '*~' --exclude '*.tgz' --exclude '*.zip'  --exclude CVS --exclude '.git*' $(PACKAGE); mv ../$(PACKAGE).tgz .

zip:  all clean
	zip -r  $(PACKAGE).zip * -x '*~' -x '*.tgz' -x '*.zip' -x CVS -x 'CVS/*'

documents.zip: all
	zip $@ acmart.pdf acmguide.pdf sample-*.pdf *.cls *.bst

=== texmf-dist/doc/latex/apxproof/Makefile ===
all: apxproof.pdf apxproof.sty

clean:
	-rm -f *.aux *.log *.gl? *.idx *.ilg *.fls *.ind *.axp *.bbl *.blg *.hd  *.out

ctan:
	git archive --format zip master --prefix=apxproof/  --output apxproof.zip

%.pdf: %.dtx %.sty
	pdflatex $<
	makeindex -s gind.ist $(patsubst %.pdf,%.idx,$@)
	makeindex -s gglo.ist -o $(patsubst %.pdf,%.gls,$@) $(patsubst %.pdf,%.glo,$@)
	bibtex $(patsubst %.pdf,%,$@)
	bibtex bu1
	pdflatex $<
	pdflatex $<

%.sty: %.ins %.dtx
	-rm $@
	latex $<

=== texmf-dist/doc/latex/bhcexam/Makefile ===
PACKAGE = BHCexam
########################################################################
## LaTeX2e Makefile
##
## Update the following defines for your local configuration, 
##
TEXMFDIR   = ~/texmf/tex/latex/BHCexam
GZIP      = gzip
XELATEX  = xelatex
PDFLATEX  = pdflatex
MAKEINDEX = makeindex
########################################################################
## make [all]		Generates the class(.cls) file, the configuration(.cfg)
##                        file and the documentation (.pdf).  If you don't have 
##                        the required MAKEINDEX (along with `gglo.ist' and
##                        `gind.ist'), then change the first dependency
##			  of "all" from "fullpdf" to "pdf" below.
## make [un]install 	Install or uninstall the class(.cls) file and 
##                        the configuration(.cfg) file.
## make [very]clean	Clean out various auxillary files.  "veryclean"
##			  cleans out more stuff.
########################################################################
## make [full]doc       Generate the documentation.  The "fulldoc" version
##			  adds the change log and the cross-references.
## make idx		Generate the change log and the cross-references
##			  (for fulldoc -- requires MAKEINDEX).
## make cls 		Generate the class(.cls) file and the
##                        configuration(.cfg) file.

########################################################################
## make test		Run test file(s)
## make src		Builds a src distribution (.tar.gz) file.
## make distribtion	Builds a distribution (.tar.gz) file.
########################################################################

all:		veryclean cls fulldoc test clean

install:	cls
		cp $(PACKAGE).{cls,cfg} $(TEXMFDIR)
uninstall:	; rm $(TEXMFDIR)/$(PACKAGE).{cls,cfg}
clean:		; -rm -f *.dvi *.log *.aux *.lof *.lot *.toc 
		-rm -f *.idx *.ind *.glo *.gls *.ilg *.out *~
veryclean:	; -rm -f *.dvi *.log *.aux *.lof *.lot *.toc 
		-rm -f *.idx *.ind *.glo *.gls *.ilg *.out
		-rm -f *.idx *.ind *.glo *.gls *.ilg *.out
		-rm -f *.sty *.cls *.pdf *pk *.cfg *.tar *~


doc:		; $(XELATEX) $(PACKAGE).dtx

cls:		; $(XELATEX) $(PACKAGE).ins

fulldoc:	doc $(PACKAGE).gls $(PACKAGE).ind 
		$(XELATEX) $(PACKAGE).dtx

src:		; mkdir $(PACKAGE)
		cp -p README Makefile $(PACKAGE)
		cp -p $(PACKAGE).dtx $(PACKAGE).ins $(PACKAGE)
		cp -p test*.tex $(PACKAGE)
		tar -cvf $(PACKAGE)-src.tar ./$(PACKAGE) 
		rm -rf $(PACKAGE)
		$(GZIP) -9 $(PACKAGE)-src.tar

distribution:	veryclean cls fulldoc test clean
		mkdir $(PACKAGE)
		cp -p $(PACKAGE).cls $(PACKAGE).cfg $(PACKAGE)
		cp -p *.tex $(PACKAGE)
		cp -p *.pdf $(PACKAGE)
		tar -cvf $(PACKAGE).tar ./$(PACKAGE) 
		rm -rf $(PACKAGE)
		$(GZIP) -9 $(PACKAGE).tar

$(PACKAGE).gls:	doc
		$(MAKEINDEX) -s gglo.ist -o $(PACKAGE).gls $(PACKAGE).glo

$(PACKAGE).ind:	doc
		$(MAKEINDEX) -s gind.ist -o $(PACKAGE).ind $(PACKAGE).idx

test:		cls
		$(XELATEX) test1.tex 
		$(XELATEX) test1.tex 
		$(XELATEX) test2.tex 
		$(XELATEX) test2.tex 
		$(XELATEX) test3.tex 
		$(XELATEX) test3.tex 
		$(XELATEX) test4.tex 
		$(XELATEX) test4.tex

=== texmf-dist/doc/latex/biblatex-caspervector/Makefile ===
# Copyright (c) 2011-2013 Casper Ti. Vector
# Public domain.

doc:
	latex readme
	biber -l zh__pinyin readme
	xelatex readme
	xelatex readme

clean:
	rm -f readme.{aux,bbl,bcf,blg,dvi,log,run.xml,out} {missfont,texput}.log

distclean: clean
	rm -f readme.pdf

# vim:ts=4:sw=4

=== texmf-dist/doc/latex/biblatex-oxref/Makefile ===
NAME  = oxref
PFX   = biblatex-
STY1  = oxnotes
STY2  = oxyear
STY3  = oxnum
STY4  = oxalph
SHELL = bash
PWD   = $(shell pwd)
TEMP := $(shell mktemp -d -t tmp.XXXXXXXXXX)
TDIR  = $(TEMP)/$(NAME)
VERS  = $(shell ltxfileinfo -v $(NAME).dtx)
LOCAL = $(shell kpsewhich --var-value TEXMFLOCAL)
UTREE = $(shell kpsewhich --var-value TEXMFHOME)

.PHONY: source clean distclean inst uninst install uninstall zip ctan

all:	$(NAME).pdf $(STY1)-doc.pdf $(STY2)-doc.pdf $(STY3)-doc.pdf $(STY4)-doc.pdf clean
	@exit 0

source $(NAME).bbx american-$(NAME).lbx british-$(NAME).lbx english-$(NAME).lbx $(STY1)-doc.tex $(STY1).bbx $(STY1).cbx $(STY1).dbx $(STY2)-doc.tex $(STY2).bbx $(STY2).cbx $(STY2).dbx $(STY3)-doc.tex $(STY3).bbx $(STY3).cbx $(STY3).dbx $(STY4)-doc.tex $(STY4).bbx $(STY4).cbx $(STY4).dbx: $(NAME).dtx
	luatex -interaction=nonstopmode $(NAME).dtx >/dev/null

$(NAME).pdf: $(NAME).dtx $(NAME).bbx $(STY1).bbx $(STY1).cbx american-$(NAME).lbx british-$(NAME).lbx english-$(NAME).lbx
	latexmk -silent -lualatex -shell-escape -interaction=nonstopmode $(NAME).dtx >/dev/null
$(STY1)-doc.pdf: $(STY1)-doc.tex $(NAME).bbx $(STY1).bbx $(STY1).cbx american-$(NAME).lbx british-$(NAME).lbx english-$(NAME).lbx
	latexmk -silent -lualatex -shell-escape -interaction=nonstopmode $(STY1)-doc.tex >/dev/null
$(STY2)-doc.pdf: $(STY2)-doc.tex $(NAME).bbx $(STY2).bbx $(STY2).cbx american-$(NAME).lbx british-$(NAME).lbx english-$(NAME).lbx
	latexmk -silent -lualatex -shell-escape -interaction=nonstopmode $(STY2)-doc.tex >/dev/null
$(STY3)-doc.pdf: $(STY3)-doc.tex $(NAME).bbx $(STY3).bbx $(STY3).cbx american-$(NAME).lbx british-$(NAME).lbx english-$(NAME).lbx
	latexmk -silent -lualatex -shell-escape -interaction=nonstopmode $(STY3)-doc.tex >/dev/null
$(STY4)-doc.pdf: $(STY4)-doc.tex $(NAME).bbx $(STY4).bbx $(STY4).cbx american-$(NAME).lbx british-$(NAME).lbx english-$(NAME).lbx
	latexmk -silent -lualatex -shell-escape -interaction=nonstopmode $(STY4)-doc.tex >/dev/null

clean:
	rm -f {$(NAME),$(STY1)-doc,$(STY2)-doc,$(STY3)-doc,$(STY4)-doc}.{aux,bbl,bcf,blg,doc,fdb_latexmk,fls,glo,gls,hd,idx,ilg,ind,listing,log,nav,out,run.xml,snm,synctex.gz,toc,vrb}
	rm -f {$(STY1),$(STY2),$(STY3),$(STY4),american-$(NAME),british-$(NAME),english-$(NAME)}.doc
	rm -rf _minted-*
	rm -f $(NAME).markdown.in
	rm -rf _markdown_*
distclean: clean
	rm -f $(NAME).{bbx,bib,ins,pdf} {$(STY1),$(STY2),$(STY3),$(STY4)}.{b,c,d}bx {american,british,english}-$(NAME).lbx {$(STY1),$(STY2),$(STY3),$(STY4)}-doc.{tex,pdf}

inst: all
	mkdir -p $(UTREE)/{tex,source,doc}/latex/$(PFX)$(NAME)
	cp $(NAME).{dtx,ins} $(UTREE)/source/latex/$(PFX)$(NAME)
	cp $(NAME).bbx {$(STY1),$(STY2),$(STY3),$(STY4)}.{b,c,d}bx {american,british,english}-$(NAME).lbx $(UTREE)/tex/latex/$(PFX)$(NAME)
	cp $(NAME).{bib,pdf} {$(STY1),$(STY2),$(STY3),$(STY4)}-doc.{tex,pdf} $(UTREE)/doc/latex/$(PFX)$(NAME)
	mktexlsr
uninst:
	rm -r $(UTREE)/{tex,source,doc}/latex/$(PFX)$(NAME)
	mktexlsr

install: all
	sudo mkdir -p $(LOCAL)/{tex,source,doc}/latex/$(PFX)$(NAME)
	sudo $(NAME).{dtx,ins} $(LOCAL)/source/latex/$(PFX)$(NAME)
	sudo $(NAME).bbx {$(STY1),$(STY2),$(STY3),$(STY4)}.{b,c,d}bx {american,british,english}-$(NAME).lbx $(LOCAL)/tex/latex/$(PFX)$(NAME)
	sudo cp $(NAME).{bib,pdf} {$(STY1),$(STY2),$(STY3),$(STY4)}-doc.{tex,pdf} $(LOCAL)/doc/latex/$(PFX)$(NAME)
	mktexlsr
uninstall:
	sudo rm -r $(LOCAL)/{tex,source,doc}/latex/$(PFX)$(NAME)
	mktexlsr

zip: all
	mkdir $(TDIR)
	cp $(NAME).{dtx,pdf} {$(STY1),$(STY2),$(STY3),$(STY4)}-doc.pdf README.md Makefile $(NAME).bbx {$(STY1),$(STY2),$(STY3),$(STY4)}.{b,c,d}bx {american,british,english}-$(NAME).lbx $(TDIR)
	cd $(TEMP); zip -Drq $(PWD)/$(PFX)$(NAME)-$(VERS).zip $(NAME)
ctan: all
	mkdir $(TDIR)
	cp $(NAME).{dtx,pdf} {$(STY1),$(STY2),$(STY3),$(STY4)}-doc.pdf README.md Makefile $(TDIR)
	cd $(TEMP); zip -Drq $(PWD)/$(PFX)$(NAME)-$(VERS).zip $(NAME)

=== texmf-dist/doc/latex/cquthesis/Makefile ===
# Makefile for CQUThesis
# Adapted from Thuthesis Makefile

# Compiling method: latexmk/xelatex/pdflatex
METHOD = latexmk
# Set opts for latexmk if you use it
LATEXMKOPTS = -xelatex
# Basename of thesis
THESISMAIN = main


PACKAGE=cquthesis
SOURCES=$(PACKAGE).ins $(PACKAGE).dtx
THESISCONTENTS=$(THESISMAIN).tex contents/*.tex $(FIGURES)
# NOTE: update this to reflect your local file types.
# 注意：下列内容可能需要根据你的实际情况调整
FIGURES=$(wildcard figures/*.eps figures/*.pdf figures/*.jpg  figures/*.jpeg figures/*.png)
BIBFILE=ref/refs.bib
SHUJICONTENTS=$(SHUJIMAIN).tex
CLSFILES=dtx-style.sty $(PACKAGE).cls $(PACKAGE).cfg

# make deletion work on Windows
ifdef SystemRoot
	RM = del /Q
	OPEN = start
else
	RM = rm -f
	OPEN = open
endif

.PHONY: all clean cls check doc distclean thesis viewthesis viewdoc FORCE_MAKE

all: doc thesis

cls: $(CLSFILES)

doc: $(PACKAGE).pdf

$(CLSFILES): $(SOURCES)
	latex $(PACKAGE).ins

viewdoc: doc
	$(OPEN) $(PACKAGE).pdf

viewthesis: thesis
	$(OPEN) $(THESISMAIN).pdf

thesis: $(THESISMAIN).pdf

ifeq ($(METHOD),latexmk)

$(PACKAGE).pdf: $(CLSFILES)
	xelatex $(PACKAGE).dtx
	makeindex -s gind.ist -o $(PACKAGE).ind $(PACKAGE).idx
	makeindex -s gglo.ist -o $(PACKAGE).gls $(PACKAGE).glo
	xelatex $(PACKAGE).dtx
	xelatex $(PACKAGE).dtx
	xelatex $(PACKAGE).dtx

$(THESISMAIN).pdf: $(CLSFILES)
	$(METHOD) $(LATEXMKOPTS) $(THESISMAIN)

else ifneq (,$(filter $(METHOD),xelatex pdflatex))

$(PACKAGE).pdf: $(CLSFILES)
	$(METHOD) $(PACKAGE).dtx
	makeindex -s gind.ist -o $(PACKAGE).ind $(PACKAGE).idx
	makeindex -s gglo.ist -o $(PACKAGE).gls $(PACKAGE).glo
	$(METHOD) $(PACKAGE).dtx
	$(METHOD) $(PACKAGE).dtx
	$(METHOD) $(PACKAGE).dtx

$(THESISMAIN).pdf: $(CLSFILES) $(THESISCONTENTS) $(THESISMAIN).bbl
	$(METHOD) $(THESISMAIN)
	$(METHOD) $(THESISMAIN)

$(THESISMAIN).bbl: $(BIBFILE)
	$(METHOD) $(THESISMAIN)
	-bibtex $(THESISMAIN)
	$(RM) $(THESISMAIN).pdf

else
$(error Unknown METHOD: $(METHOD))

endif

clean:
	latexmk -c $(PACKAGE).dtx $(THESISMAIN)
	-@$(RM) *~

cleanall: clean
	-@$(RM) $(PACKAGE).pdf $(THESISMAIN).pdf

=== texmf-dist/doc/latex/halloweenmath/Makefile ===
# makefile
#
# 2017 Apr 25
#
# Macro definitions
#
# - parameters:
ROOT_NAME	= halloweenmath
#   (the following need not be redefined, although it can be)
BUNDLE_NAME	= $(ROOT_NAME) package
#
# - all the rest:
DTX_NAME	= $(ROOT_NAME).dtx
INS_NAME	= $(ROOT_NAME).ins
LOG_FILE	= $(ROOT_NAME).log
DOC_AUX_FIL	= $(LOG_FILE) $(ROOT_NAME).aux \
				$(ROOT_NAME).glo $(ROOT_NAME).gls \
				$(ROOT_NAME).idx $(ROOT_NAME).ind \
				$(ROOT_NAME).ilg $(ROOT_NAME).glg \
				$(ROOT_NAME).toc $(ROOT_NAME).lof \
				$(ROOT_NAME).hd  $(ROOT_NAME).out
DOCUM_FILE	= $(ROOT_NAME).pdf
CODE_FILES	= $(ROOT_NAME).sty
#
LATEX		= pdflatex
MAKEINDEX	= makeindex
REMOVE		= -rm

#
define GEN_FAKE_INDEX
	@echo '\\begin{theindex}' > $(ROOT_NAME).ind
	@echo '\\end{theindex}'  >> $(ROOT_NAME).ind
	@echo "Generating fake .ind file."
endef
#
define GEN_FAKE_GLOSSARY
	@echo '\\begin{theglossary}' > $(ROOT_NAME).gls
	@echo '\\end{theglossary}'  >> $(ROOT_NAME).gls
	@echo "Generating fake .gls file."
endef



.PHONY: default
.PHONY: code doc
.PHONY: clean cleandoc cleanaux cleancode cleanlog cleanall
.PHONY: help

# Default target
default: doc code

# Generating the code
################################################################
#                                                              #
#   PLEASE NOTE THAT THE INSTALLER SCRIPT IS EXECUTED WITH     #
#       openout_any=r                                          #
#                                                              #
################################################################
code:
	openout_any=r tex $(INS_NAME)

# Generating the documentation
doc: $(DOCUM_FILE)

$(DOCUM_FILE): $(DTX_NAME)
# Hack for getting index and glossary in the toc since first run:
	$(GEN_FAKE_INDEX)
	$(GEN_FAKE_GLOSSARY)
# We know how many runs are needed:
	$(LATEX) $(DTX_NAME)
	$(LATEX) $(DTX_NAME)
	$(MAKEINDEX) -s gind.ist -t $(ROOT_NAME).ilg -o $(ROOT_NAME).ind \
			$(ROOT_NAME).idx
	$(MAKEINDEX) -s gglo.ist -t $(ROOT_NAME).glg -o $(ROOT_NAME).gls \
			$(ROOT_NAME).glo
	$(LATEX) $(DTX_NAME)
	$(LATEX) $(DTX_NAME)
# Hyperlinks in the indexes seem not to work properly without the
# following additional run:
	$(MAKEINDEX) -s gind.ist -t $(ROOT_NAME).ilg -o $(ROOT_NAME).ind \
			$(ROOT_NAME).idx
	$(MAKEINDEX) -s gglo.ist -t $(ROOT_NAME).glg -o $(ROOT_NAME).gls \
			$(ROOT_NAME).glo
	$(LATEX) $(DTX_NAME)

# Cleaning up: command "make clean" defaults to "make cleanall"
clean: cleanall

# Cleaning the code files
cleancode:
	$(REMOVE) $(CODE_FILES)

# Cleaning the documentation files
cleandoc: cleanaux
	$(REMOVE) $(DOCUM_FILE)

# Cleaning just the auxiliary files used in producing the documentation
cleanaux:
	$(REMOVE) $(DOC_AUX_FIL)

# Cleaning only the transcript file (e.g., after "make code")
cleanlog:
	$(REMOVE) $(LOG_FILE)

# Cleaning up all the generated files
cleanall: cleancode cleandoc

# Giving help
help:
	@echo "Here is a list of the available commands:"
	@echo
	@echo "  make"
	@echo "    Generate both the code and the documentation (see below)."
	@echo
	@echo "  make code"
	@echo "    Generate all the LaTeX \"executables\" (e.g., \`.sty' files)"
	@echo "    of the $(BUNDLE_NAME);"
	@echo "    these files go into the LaTeX input directories."
	@echo
	@echo "  make doc"
	@echo "    Generate the documentation (in PDF); the resulting PDF file"
	@echo "    goes into the LaTeX documentation directories (the auxiliary"
	@echo "    files may be discarded)."
	@echo
	@echo "  make clean"
	@echo "  make cleanall"
	@echo "    These two commands are synonyms; they remove all of the"
	@echo "    generated files (both code and documentation)."
	@echo
	@echo "  make cleancode"
	@echo "    Remove the LaTeX source files (the \"code files\")."
	@echo
	@echo "  make cleandoc"
	@echo "    Remove the documentation, together with all the auxiliary"
	@echo "    files used to generate it."
	@echo
	@echo "  make cleanaux"
	@echo "    Remove only the auxiliary files used to generate the"
	@echo "    documentation."
	@echo
	@echo "  make cleanlog"
	@echo "    Remove just the transcript file (e.g., after \"make doc\")."
	@echo
	@echo "  make help"
	@echo "    Print this help message."
	@echo

=== debian/changelog ===
texlive-extra (2017.20180305-2) unstable; urgency=medium

  * (again) fix replace version for texlive-fonts-extra-links (Closes: #891512)
    (Thanks Andreas Beckmann)

 -- Norbert Preining <preining@debian.org>  Tue, 06 Mar 2018 14:18:00 +0900

texlive-extra (2017.20180305-1) unstable; urgency=medium

  * new upstream checkout: final 2017 release
  * fix replace version for texlive-fonts-extra-links (Closes: #891512)

 -- Norbert Preining <preining@debian.org>  Mon, 05 Mar 2018 09:46:43 +0900

=== debian/control ===
Source: texlive-extra
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 9), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0), default-jdk
Standards-Version: 4.1.3
Homepage: http://www.tug.org/texlive/

Package: texlive-bibtex-extra
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628)
Conflicts: biblatex, biblatex-dw, logreq
Replaces: texlive-luatex (<< 2017.20171022)
Breaks: biber (<< 2.9), texlive-base (<< 2017.20170628), texlive-luatex (<< 2017.20171022)
Description: TeX Live: BibTeX additional styles
 Additional BibTeX styles and bibliography data(bases), notably including 
 BibLaTeX.
 .
 This package includes the following CTAN packages:
 .
 aichej -- Bibliography style file for the AIChE Journal
 .
 ajl -- BibTeX style for AJL
 .
 amsrefs -- A LaTeX-based replacement for BibTeX
 .
 apacite -- Citation style following the rules of the APA
 .
 apalike2 -- Bibliography style that approaches APA requirements
 .
 archaeologie -- A citation-style which covers rules of the German
 Archaeological Institute
 .
 beebe -- A collection of bibliographies
 .
 besjournals -- Bibliographies suitable for British Ecological Society
 journals
 .
 bestpapers -- A BibTeX package to produce lists of authors' best papers
 .
 bib2gls -- Command line application to convert .bib files to
 glossaries-extra.sty resource files
 .
 bibarts -- "Arts"-style bibliographical information
 .
 bibexport -- Extract a BibTeX file based on a .aux file
 .
 bibhtml -- BibTeX support for HTML files
 .
 biblatex -- Sophisticated Bibliographies in LaTeX
 .
 biblatex-abnt -- BibLaTeX style for Brazil's ABNT rules
 .
 biblatex-anonymous -- A tool to manage anonymous work with BibLaTeX
 .
 biblatex-apa -- BibLaTeX citation and reference style for APA
 .
 biblatex-archaeology -- A collection of BibLaTeX styles for German
 prehistory
 .
 biblatex-arthistory-bonn -- BibLaTeX citation style covers the citation and
 bibliography guidelines for art historians
 .
 biblatex-bookinarticle -- Manage book edited in article
 .
 biblatex-bookinother -- Manage book edited in other entry type
 .
 biblatex-bwl -- BibLaTeX citations for FU Berlin
 .
 biblatex-caspervector -- A simple citation style for Chinese users
 .
 biblatex-chem -- A set of BibLaTeX implementations of chemistry-related
 bibliography styles
 .
 biblatex-chicago -- Chicago style files for BibLaTeX
 .
 biblatex-claves -- A tool to manage claves of old litterature with BibLaTeX
 .
 biblatex-dw -- Humanities styles for BibLaTeX
 .
 biblatex-enc -- BibLaTeX style for the Ecole nationale des chartes (Paris)
 .
 biblatex-fiwi -- BibLaTeX styles for use in German humanities
 .
 biblatex-gb7714-2015 -- A BibLaTeX implementation of the GBT7714-2015
 bibliography style for Chinese users
 .
 biblatex-gost -- BibLaTeX support for GOST standard bibliographies
 .
 biblatex-historian -- A BibLaTeX style
 .
 biblatex-ieee -- IEEE style files for BibLaTeX
 .
 biblatex-ijsra -- BibLaTeX style for the International Journal of Student
 Research in Archaeology
 .
 biblatex-iso690 -- BibLaTeX style for ISO 690 standard
 .
 biblatex-juradiss -- BibLaTeX stylefiles for German law thesis
 .
 biblatex-lni -- LNI style for BibLaTeX
 .
 biblatex-luh-ipw -- BibLaTeX styles for social sciences
 .
 biblatex-manuscripts-philology -- Manage classical manuscripts with BibLaTeX
 .
 biblatex-mla -- MLA style files for BibLaTeX
 .
 biblatex-morenames -- New names for standard BibLaTeX entry type
 .
 biblatex-multiple-dm -- Load multiple datamodels in BibLaTeX
 .
 biblatex-musuos -- A BibLaTeX style for citations in musuos.cls
 .
 biblatex-nature -- BibLaTeX support for Nature
 .
 biblatex-nejm -- BibLaTeX style for the New England Journal of Medicine
 (NEJM)
 .
 biblatex-nottsclassic -- Citation style for the University of Nottingham
 .
 biblatex-opcit-booktitle -- Use op. cit. for the booktitle of a subentry
 .
 biblatex-oxref -- BibLaTeX styles inspired by the Oxford Guide to Style
 .
 biblatex-philosophy -- Styles for using BibLaTeX for work in philosophy
 .
 biblatex-phys -- A BibLaTeX implementation of the AIP and APS bibliography
 style
 .
 biblatex-publist -- BibLaTeX bibliography support for publication lists
 .
 biblatex-realauthor -- Indicate the real author of a work
 .
 biblatex-sbl -- Society of Biblical Literature (SBL) style files for
 BibLaTeX
 .
 biblatex-science -- BibLaTeX implementation of the Science bibliography
 style
 .
 biblatex-shortfields -- Use short forms of fields with BibLaTeX
 .
 biblatex-source-division -- References by "division" in classical sources
 .
 biblatex-subseries -- Manages subseries with BibLaTeX
 .
 biblatex-swiss-legal -- Bibliography and citation styles following Swiss
 legal practice
 .
 biblatex-trad -- "Traditional" BibTeX styles with BibLaTeX
 .
 biblatex-true-citepages-omit -- Correction of some limitation of the
 citepages=omit option of BibLaTeX styles
 .
 biblist -- Print a BibTeX database
 .
 bibtexperllibs -- BibTeX Perl Libraries
 .
 bibtopic -- Include multiple bibliographies in a document
 .
 bibtopicprefix -- Prefix references to bibliographies produced by bibtopic
 .
 bibunits -- Multiple bibliographies in one document
 .
 biolett-bst -- A BibTeX style for the journal "Biology Letters"
 .
 bookdb -- A BibTeX style file for cataloguing a home library
 .
 breakcites -- Ensure that multiple citations may break at line end
 .
 cell -- Bibliography style for Cell
 .
 chbibref -- Change the Bibliography/References title
 .
 chicago -- A "Chicago" bibliography style
 .
 chicago-annote -- Chicago-based annotated BibTeX style
 .
 chembst -- A collection of BibTeX files for chemistry journals
 .
 chscite -- Bibliography style for Chalmers University of Technology
 .
 citeall -- Cite all entries of a bbl created with BibLaTeX
 .
 collref -- Collect blocks of references into a single reference
 .
 compactbib -- Multiple thebibliography environments
 .
 crossrefware -- Scripts for working with crossref.org
 .
 custom-bib -- Customised BibTeX styles
 .
 din1505 -- Bibliography styles for German texts
 .
 dk-bib -- Danish variants of standard BibTeX styles
 .
 doipubmed -- Special commands for use in bibliographies
 .
 ecobiblatex -- Global Ecology and Biogeography BibLaTeX styles for the Biber
 backend
 .
 economic -- BibTeX support for submitting to Economics journals
 .
 fbs -- BibTeX style for Frontiers in Bioscience
 .
 figbib -- Organize figure databases with BibTeX
 .
 footbib -- Bibliographic references as footnotes
 .
 francais-bst -- Bibliographies conforming to French typographic standards
 .
 geschichtsfrkl -- BibLaTeX style for historians
 .
 harvard -- Harvard citation package for use with LaTeX 2e
 .
 harvmac -- Macros for scientific articles
 .
 historische-zeitschrift -- BibLaTeX style for the journal 'Historische
 Zeitschrift'
 .
 ietfbibs -- Generate BibTeX entries for various IETF index files
 .
 ijqc -- BibTeX style file for the Intl. J. Quantum Chem
 .
 inlinebib -- Citations in footnotes
 .
 iopart-num -- Numeric citation style for IOP journals
 .
 jneurosci -- BibTeX style for the Journal of Neuroscience
 .
 jurabib -- Extended BibTeX citation support for the humanities and legal
 texts
 .
 ksfh_nat -- BibTeX style for KSFH Munich
 .
 ltb2bib -- converts amsrefs' .ltb bibliographical databases to BibTeX format
 .
 listbib -- Lists contents of BibTeX files
 .
 logreq -- Support for automation of the LaTeX workflow
 .
 luabibentry -- Repeat BibTeX entries in a LuaLaTeX document body
 .
 margbib -- Display bibitem tags in the margins
 .
 multibib -- Multiple bibliographies within one document
 .
 multibibliography -- Multiple versions of a bibliography, with different
 sort orders
 .
 munich -- An alternative authordate bibliography style
 .
 nar -- BibTeX style for Nucleic Acid Research
 .
 nmbib -- Multiple versions of a bibliography, with different sort orders
 .
 notes2bib -- Integrating notes into the bibliography
 .
 notex-bst -- A BibTeX style that outputs HTML
 .
 oscola -- BibLaTeX style for the Oxford Standard for the Citation of Legal
 Authorities
 .
 perception -- BibTeX style for the journal Perception
 .
 pnas2009 -- BibTeX style for PNAS (newer version)
 .
 rsc -- BibTeX style for use with RSC journals
 .
 showtags -- Print the tags of bibliography entries
 .
 sort-by-letters -- Bibliography styles for alphabetic sorting
 .
 splitbib -- Split and reorder your bibliography
 .
 turabian-formatting -- Formatting based on Turabian's Manual
 .
 uni-wtal-ger -- Citation style for literary studies at the University of
 Wuppertal
 .
 uni-wtal-lin -- Citation style for linguistic studies at the University of
 Wuppertal
 .
 urlbst -- Web support for BibTeX
 .
 usebib -- A simple bibliography processor
 .
 vak -- BibTeX style for Russian Theses, books, etc
 .
 xcite -- Use citation keys from a different document

Package: texlive-extra-utils
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libunicode-linebreak-perl, python, texlive-base (>= 2017.20170628), texlive-base (>= 2017.20170628), texlive-binaries (>= 2017.20170524.44437), texlive-latex-base (>= 2017.20170628)
Recommends: ghostscript, libfile-homedir-perl, libyaml-tiny-perl, ruby | ruby-interpreter, texlive-latex-recommended
Suggests: chktex, dvidvi, dvipng, fragmaster, lacheck, latexdiff, latexmk, purifyeps, xindy
Breaks: texlive-base (<< 2017.20170628)
Description: TeX Live: TeX auxiliary programs
 Various useful, but non-essential, support programs. Includes programs and 
 macros for DVI file manipulation, literate programming, patgen, and the TeX 
 Works Editor.
 .
 This package includes the following CTAN packages:
 .
 a2ping -- Advanced PS, PDF, EPS converter
 .
 adhocfilelist -- '\listfiles' entries from the command line
 .
 arara -- Automation of LaTeX compilation
 .
 bibtex8 -- A fully 8-bit adaptation of BibTeX 0.99
 .
 bibtexu -- BibTeX variant supporting Unicode (UTF-8)
 .
 bundledoc -- Bundle together all the files needed to build a LaTeX document
 .
 checklistings -- Pass verbatim contents through a compiler and reincorporate
 the resulting output
 .
 ctan-o-mat -- Upload or validate a package for CTAN
 .
 ctan_chk -- CTAN guidelines verifier and corrector for uploading projects
 .
 ctanify -- Prepare a package for upload to CTAN
 .
 ctanupload -- Support for users uploading to CTAN
 .
 ctie -- C version of tie (merging Web change files)
 .
 cweb -- A Web system in C
 .
 de-macro -- Expand private macros in a document
 .
 detex -- Strip TeX from a source file
 .
 dtl -- Tools to dis-assemble and re-assemble DVI files
 .
 dtxgen -- Creates a template for a self-extracting .dtx file
 .
 dvi2tty -- Produce ASCII from DVI
 .
 dviasm -- A utility for editing DVI files
 .
 dvicopy -- Copy DVI files, flattening VFs
 .
 dviinfox -- Perl script to print DVI meta information
 .
 dviljk -- DVI to Laserjet output
 .
 dvipos -- support DVI pos: specials used by ConTeXt DVI output
 .
 dvisvgm -- Convert DVI files to Scalable Vector Graphics format (SVG)
 .
 findhyph -- Find hyphenated words in a document
 .
 hook-pre-commit-pkg -- Pre-commit git hook for LaTeX package developpers
 .
 hyphenex -- US English hyphenation exceptions file
 .
 installfont -- A bash script for installing a LaTeX font family
 .
 latex-git-log -- Typeset git log information
 .
 latex-papersize -- Calculate LaTeX settings for any font and paper size
 .
 latex2man -- Translate LaTeX-based manual pages into Unix man format
 .
 latex2nemeth -- Convert LaTeX source to Braille with math in Nemeth
 .
 latexfileversion -- Prints the version and date of a LaTeX class or style
 file
 .
 latexpand -- Expand \input and \include in a LaTeX document
 .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-extra

PACKAGES=texlive-bibtex-extra texlive-extra-utils texlive-font-utils texlive-formats-extra texlive-plain-generic texlive-latex-extra texlive-fonts-extra texlive-music texlive-games texlive-pstricks texlive-publishers texlive-humanities texlive-science texlive-fonts-extra-doc texlive-humanities-doc texlive-latex-extra-doc texlive-science-doc texlive-pstricks-doc texlive-publishers-doc
METAPACKAGES=texlive-fonts-extra-links

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:

	mkdir tex4ht-java
	mkdir -p texmf-dist/tex4ht/bin
	cd tex4ht ; javac *.java */*.java */*/*.java -d ../tex4ht-java
	cd tex4ht-java ; jar cvf ../texmf-dist/tex4ht/bin/tex4ht.jar .

	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done


	rm -rf tex4ht-java texmf-dist/tex4ht/bin/tex4ht.jar

	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  find debian/$i/usr/share -name \*.jar -exec chmod ugo-x '{}' \; ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done

	install debian/pythontex3 debian/depythontex3 debian/texlive-extra-utils/usr/bin



	# rename wordcount to latex-wordcount
	mv debian/texlive-latex-extra/usr/bin/wordcount debian/texlive-latex-extra/usr/bin/latex-wordcount

	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	#dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	dh_installtex -A --flavor=tree:texlive

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	dh_installmime
	dh_lintian
	dh_link
	dh_strip_nondeterminism
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# remove x bit from jar files
	find debian/texlive-*/usr/share/texlive -name \*.jar -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -Ntexlive-latex-extra-doc -- -Zxz
	dh_builddeb -ptexlive-latex-extra-doc -- -Zxz -Sextreme -z9


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
